<template>
  <div class="is-replied column-flex mb-5">
    <span class="is-replied-user ellipsis-text">{{ name }}</span>
    <span
      v-if="repliedData.renderReplyType != 'image'"
      class="is-replied-message ellipsis-text"
      :class="{
        'text-direction-right': repliedData.textDirectionIsRtl,
        'text-direction-left': repliedData.textDirectionIsRtl === false,
      }"
      v-html="
        repliedData.renderReplyType == 'text'
          ? repliedData.messageText
          : repliedData.renderReplyType
      "
    ></span>
    <div
      v-if="repliedData.renderReplyType == 'image'"
      class="image-replied-container"
    >
      <img :src="blobFilePath" height="20" width="20" />
    </div>
  </div>
</template>
<script setup>
import { ref, defineProps, onMounted } from 'vue';
import { useFileManagerStore } from '@/store/fileManager/fileManager.js';

const props = defineProps({
  repliedData: {
    type: Object,
  },
  name: {
    type: String,
    default: '',
  },
  type: {
    type: String,
    default: '',
  },
});
const blobFilePath = ref();
const downloadThumbnailFile = async (type = 'image') => {
  console.log('hello');
  const fileManagerStore = useFileManagerStore();
  const file = await fileManagerStore.handlerForGettingFile(
    props.repliedData.replyFileId,
    type,
    true,
  );
  blobFilePath.value = file.filePath;
};
onMounted(() => {
  if (props.repliedData.renderReplyType == 'image') {
    downloadThumbnailFile();
  }
});
</script>
<style scoped>
.is-replied {
  height: 50px;
  overflow: hidden;
  padding: 5px;
  background-color: var(--card-replied-background);
  font-size: 10px;
  justify-content: space-between;
  border-left: 2px solid var(--ion-color-primary);
  border-radius: 5px;
}
.is-replied-user {
  color: var(--card-replied-color-user);
}
.is-replied-message {
  color: var(--card-replied-color-message);
}
.image-replied-container {
  height: 20px;
  width: 20px;
}
</style>
